# $Revision: 1.96 $, $Date: 2012/04/16 13:21:28 $
# TODO
#  Aug 14 13:19:00 haarber gnome-keyring-daemon[6524]: couldn't list keyrings at: /etc/certs: Error opening directory '/etc/certs': Permission denied
#
# Conditional build:
%bcond_with	p11_tests	# PKCS#11 tests
#
Summary:	Keep passwords and other user's secrets
Summary(pl.UTF-8):	Przechowywanie haseł i innych tajnych danych użytkowników
Name:		gnome-keyring
Version:	3.4.1
Release:	1
License:	LGPL v2+ (library), GPL v2+ (programs)
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	607b334b43300465d18676dbc4d97de9
URL:		http://live.gnome.org/GnomeKeyring
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	dbus-devel >= 1.2.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-devel >= 3.4.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcap-ng-devel
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libselinux-devel
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	libtool
BuildRequires:	p11-kit-devel >= 0.6
%{?with_p11_tests:BuildRequires:	p11-tests-devel >= 0.1}
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	dbus >= 1.2.0
Requires:	hicolor-icon-theme
Conflicts:	rpm < 4.4.2-0.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
GNOME Keyring is a program that keeps password and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

%description -l pl.UTF-8
GNOME Keyring to program do przechowywania haseł i innych tajnych
danych użytkowników. Działa jako demon w sesji, podobnie do
ssh-agenta, a inne aplikacje mogą znaleźć go poprzez zmienną
środowiskową.

%package -n pam-pam_gnome_keyring
Summary:	A PAM module for unlocking keyrings at login time
Summary(pl.UTF-8):	Moduł PAM do odblokowywania zbiorów kluczy w czasie logowania
License:	LGPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnome-keyring-pam

%description -n pam-pam_gnome_keyring
A PAM module that can automatically unlock the "login" keyring when
the user logs in and start the keyring daemon.

%description -n pam-pam_gnome_keyring -l pl.UTF-8
Moduł PAM, który może automatycznie odblokowywać zbiór kluczy "login"
w czasie logowania użytkownika i uruchamiania demona keyring.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_p11_tests:--disable-p11-tests} \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-dir=/%{_lib}/security \
	--with-root-certs=%{_sysconfdir}/certs \
	--with-ca-certificates=%{_sysconfdir}/certs/ca-certificates.crt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-pam \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_gnome_keyring.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pkcs11/gnome-keyring-pkcs11.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/devel/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-keyring
%attr(755,root,root) %{_bindir}/gnome-keyring-3
%attr(755,root,root) %{_bindir}/gnome-keyring-daemon
%dir %{_libdir}/pkcs11
%attr(755,root,root) %{_libdir}/pkcs11/gnome-keyring-pkcs11.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/devel
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-gnome2-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-roots-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-secret-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-ssh-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-xdg-store-standalone.so
%{_sysconfdir}/xdg/autostart/gnome-keyring-gpg.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_sysconfdir}/pkcs11/modules/gnome-keyring-module

%files -n pam-pam_gnome_keyring
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_gnome_keyring.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-keyring.spec,v $
Revision 1.96  2012/04/16 13:21:28  megabajt
- updated to 3.4.1

Revision 1.95  2012/03/30 16:53:40  qboosh
- don't build static modules just to remove them afterwards

Revision 1.94  2012/03/26 22:04:10  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.93.2.2  2012/03/23 09:12:00  megabajt
- updated to 3.3.92

Revision 1.93.2.1  2012/03/10 21:18:49  megabajt
- updated to 3.3.91

Revision 1.93  2012/02/02 12:32:32  lisu
- package missing dir
- rel 2

Revision 1.92  2011/11/15 20:37:51  kiesiu
- updated to 3.2.2

Revision 1.91  2011/10/23 16:30:11  qboosh
- updated BRs/Rs
- updated libs/devel/static/apidocs descriptions (now libgck+libgcr, not libgnome-keyring)

Revision 1.90  2011/10/18 19:14:54  kiesiu
- updated to 3.2.1

Revision 1.89  2011/09/26 20:19:06  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.88.2.2  2011/09/18 10:09:31  wiget
- up to 3.1.92

Revision 1.88.2.1  2011/09/08 19:19:12  wiget
- up to 3.1.91

Revision 1.88  2011/08/14 10:22:28  glen
- security by obscurity breaks functionality?

Revision 1.87  2011/05/27 09:47:55  kiesiu
- updated to 3.0.3

Revision 1.86  2011/05/20 23:03:26  megabajt
- updated to 3.0.2

Revision 1.85  2011/04/25 10:48:02  megabajt
- updated to 3.0.1

Revision 1.84  2011/04/04 17:14:10  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.83  2011/03/27 13:33:20  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.81.2.9  2011/03/21 17:59:12  megabajt
- updated to 2.91.93

Revision 1.81.2.8  2011/03/10 16:52:58  megabajt
- updated to 2.91.92

Revision 1.81.2.7  2011/03/07 18:56:07  megabajt
- updated to 2.91.91
- dropped libtool files

Revision 1.81.2.6  2011/02/26 16:31:50  patrys
- provide path to certs

Revision 1.81.2.5  2010/12/28 22:09:06  wiget
- 2.91.4

Revision 1.82  2010/12/09 16:35:41  megabajt
- use %glib_compile_schemas
- release 3

Revision 1.81.2.4  2010/12/02 22:53:55  wiget
- 2.91.3

Revision 1.81.2.3  2010/11/11 13:53:43  megabajt
- updated to 2.91.2

Revision 1.81.2.2  2010/11/06 15:13:02  wiget
- build with gtk+3

Revision 1.81.2.1  2010/11/06 14:42:10  wiget
- 2.91.1

Revision 1.81  2010/10/28 08:20:41  glen
- compile schemas after deps being installed (use posttrans for that); rel 2

Revision 1.80  2010/10/26 11:07:07  caleb
- Up to 2.32.1

Revision 1.79  2010/10/13 23:44:29  emes
- added BReq: cairo-devel

Revision 1.78  2010/09/29 09:15:38  megabajt
- updated to 2.32.0

Revision 1.77  2010/06/21 15:09:41  megabajt
- updated to 2.30.3

Revision 1.76  2010/06/21 11:33:50  megabajt
- updated to 2.30.2
- removed obsolete -fix_service_file_creation.patch and
  -use_org.freedesktop.secrets.patch

Revision 1.75  2010/06/07 23:13:34  arvenil
- added -fix_service_file_creation.patch
- added -use_org.freedesktop.secrets.patch
- release 3

Revision 1.74  2010/05/28 10:22:08  glen
- unify pam package name: rename pam module to pam-pam_gnome_keyring; rel 2

Revision 1.73  2010/04/26 21:22:46  megabajt
- updated to 2.30.1

Revision 1.72  2010/03/30 17:55:02  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.71.2.2  2010/03/13 18:45:42  megabajt
- updated to 2.29.92

Revision 1.71.2.1  2010/02/10 19:06:48  megabajt
- updated to 2.29.90

Revision 1.71  2010/02/10 15:21:33  megabajt
- release 2

Revision 1.70  2010/01/10 20:32:24  sparky
- __gtkdocize
- BR: docbook-dtd412-xml

Revision 1.69  2009/12/14 18:32:08  megabajt
- updated to 2.28.2
- removed -bug-595698.patch (applied upstream)

Revision 1.68  2009/11/12 12:03:13  patrys
- rebuild
- rel 3

Revision 1.67  2009/11/07 23:12:49  baggins
- rel 2
- fix https://bugzilla.gnome.org/show_bug.cgi?id=595698
  gnome-keyring-daemon doesn't exit properly when the session ends

Revision 1.66  2009/09/25 20:40:02  megabajt
- updated to 2.28.0

Revision 1.65  2009/07/02 13:00:04  megabajt
- drop ca@valencia locale
- release 2

Revision 1.64  2009/07/01 22:02:53  megabajt
- updated to 2.26.3

Revision 1.63  2009/06/17 14:45:07  hawk
- release 2

Revision 1.62  2009/04/13 18:33:12  megabajt
- updated to 2.26.1

Revision 1.61  2009/03/15 18:24:02  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.60.2.2  2009/03/04 21:27:46  megabajt
- updated to 2.25.92

Revision 1.60.2.1  2009/02/19 17:20:20  megabajt
- updated to 2.25.91

Revision 1.60  2008/12/26 16:47:07  qboosh
- added temporary workaround for libtasn1 without m4 macro

Revision 1.59  2008/10/19 11:35:39  megabajt
- updated to 2.24.1

Revision 1.58  2008/09/25 20:29:52  megabajt
- updated to 2.24.0

Revision 1.57.2.4  2008/09/12 22:27:38  patrys
- 2.23.92

Revision 1.57.2.3  2008/08/19 20:09:42  patrys
- 2.23.90

Revision 1.57.2.2  2008/08/04 12:51:01  patrys
- 2.23.6

Revision 1.57.2.1  2008/07/23 10:25:14  patrys
- 2.23.5

Revision 1.57  2008/07/01 17:38:21  megabajt
- updated to 2.22.3

Revision 1.56  2008/06/11 15:48:50  hawk
- release 2

Revision 1.55  2008-05-31 19:57:30  adamg
- updated to 2.22.2

Revision 1.54  2008-04-07 07:19:59  megabajt
- updated to 2.22.1

Revision 1.53  2008-03-10 20:04:45  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.50.2.4  2008-02-25 17:16:18  megabajt
- updated to 2.21.92

Revision 1.50.2.3  2008-02-12 12:46:31  megabajt
- updated to 2.21.91

Revision 1.50.2.2  2008-01-19 19:48:51  megabajt
- updated to 2.21.5
- more verbose files

Revision 1.52  2008/01/10 06:50:19  qboosh
- ghost soname symlink

Revision 1.51  2008-01-09 20:18:36  megabajt
- updated to 2.20.3

Revision 1.50.2.1  2007-12-20 01:31:24  patrys
- 2.21.4

Revision 1.50  2007-11-24 22:58:56  megabajt
- updated to 2.20.2

Revision 1.49  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.48  2007/10/15 16:25:43  megabajt
- updated to 2.20.1

Revision 1.47  2007/09/19 16:59:39  megabajt
- 2.20.0

Revision 1.46  2007/09/18 18:13:13  patrys
- R: dbus >= 1.1.2

Revision 1.45  2007/09/17 17:24:17  megabajt
- updated to 2.20; merged changes from DEVEL

Revision 1.44.2.3  2007/08/28 19:03:33  qboosh
- pl for -pam

Revision 1.44.2.2  2007/08/28 16:53:33  megabajt
- updated md5

Revision 1.44.2.1  2007/08/28 16:51:45  megabajt
- updated to 2.19.91
- added pam subpackage

Revision 1.44  2007/04/07 21:48:18  megabajt
- updated to 0.8.1

Revision 1.43  2007/03/12 17:49:26  megabajt
- updated to 0.8

Revision 1.42  2007/02/28 16:46:27  megabajt
- updated to 0.7.92
- removed obsolete single-unlock-dialog patch

Revision 1.41  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.39  2007/01/14 10:40:20  czarny
- up to 0.7.3
- todo added (Patch0 needed?)

Revision 1.38  2006/11/28 13:33:04  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.37  2006/09/04 17:42:38  grzegol
- 0.6.0

Revision 1.36  2006/08/21 16:13:24  freetz
- 0.5.2, apidocs subpkg, update deps

Revision 1.35  2006/07/12 18:08:35  freetz
- rel.2, updated deps, --as-needed support

Revision 1.34  2006/06/12 16:27:28  freetz
- 0.5.1, added gtk-doc documentation, updated BR

Revision 1.33  2006/06/07 14:58:27  freetz
- rel.3

Revision 1.32  2006/06/02 21:44:55  freetz
- merged changes from AC-branch

Revision 1.31  2006/05/22 16:51:39  blaass
- spelling fix

Revision 1.30  2006/03/13 13:27:10  freetz
- 0.4.9

Revision 1.29  2006/02/27 18:31:31  freetz
- 0.4.8

Revision 1.28  2006/02/13 10:34:32  freetz
- 0.4.7

Revision 1.27  2005/11/14 16:35:04  freetz
- 0.4.6

Revision 1.26  2005/09/15 18:08:09  freetz
- 0.4.5

Revision 1.25  2005/09/06 19:48:20  freetz
- 0.4.4

Revision 1.24  2005/07/03 15:47:11  freetz
- run post/postun ldconfig call in libs not in main package

Revision 1.23  2005/07/03 15:39:25  freetz
- 0.4.3

Revision 1.22  2005/05/10 23:46:36  pluto
- release 3 for Th.

Revision 1.21  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.20  2005/04/10 17:36:17  freetz
- new style macros, rel.2

Revision 1.19  2005/03/07 21:11:18  qboosh
- gpm-friendly Source URL, updated -devel dep

Revision 1.18  2005/03/07 20:26:06  wiget
- updated to 0.4.2

Revision 1.17  2005/01/11 09:51:39  paladine
- updated to 0.4.1, STBR

Revision 1.16  2004/09/13 12:06:00  grzegol
- updated to 0.4.0

Revision 1.15  2004/08/30 13:29:42  grzegol
- updated to 0.3.3
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.14  2004/08/12 21:07:07  ankry
- s/Gnome/GNOME/

Revision 1.13  2004/07/20 22:42:10  grzegol
- updated to 0.3.2

Revision 1.12  2004/07/05 09:00:50  aflinta
- up to version 0.3.1

Revision 1.11  2004/04/19 10:59:44  grzegol
- updated to 0.2.1

Revision 1.10  2004/03/22 12:49:52  grzegol
- updated to 0.2.0

Revision 1.9  2004/03/15 16:33:56  grzegol
- updated to 0.1.91

Revision 1.8  2004/03/08 12:27:57  grzegol
- updated to 0.1.90
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am
- updated BRs, strict internal deps

Revision 1.7  2004/02/11 08:47:54  aflinta
- up to version 0.1.4

Revision 1.6  2004/01/30 22:00:22  grzegol
- updated to 0.1.3

Revision 1.5  2004/01/12 17:14:51  grzegol
- updated to 0.1.2

Revision 1.4  2003/12/28 14:13:29  grzegol
- updated to 0.1.1
- moved postun ldconfig to -libs
- added TODO to docs

Revision 1.3  2003/12/16 18:01:44  qboosh
- pl for base
- some Group and deps fixes (libs don't depend on gtk+2, app do)

Revision 1.2  2003/12/16 13:16:57  wrobell
- added libs subpackage
- fixed descriptions and summaries
- rel. 2

Revision 1.1  2003/12/10 17:22:34  wiget
- initial
